Downgrading: Duet2_SDiap32_WiFiEth.bin not found



  • I'm trying to downgrade my Duet 2 Ethernet from 3.2-RC1 back to 3.1.1 (I'm having Delta calibration issues with the Smart Effector), however when I try to upload any prior version of firmware, it fails with an error
    M997 S0
    Error: M997: In-application programming binary "Duet2_SDiap32_WiFiEth.bin" not found

    I can't find this file anywhere, nor do I follow why it needs this.

    TIA



  • The IAP (in application programming) file is used when writing the firmware whilst the board is in use.
    They were changed as part of RC1

    The IAP files for this release have changed. After installing 3.2RC1, the new IAP file will be needed next time you upgrade or downgrade the firmware. The new IAP files all have 'iap32' in the filename where it used to be 'iap', therefore they can coexist in /sys with the old IAP files.
    

    They are typically included as part of the release files.



  • more likely OP upgraded by uploading just the firmware and not the whole .zip file of the RC1 release.

    just download https://github.com/Duet3D/RepRapFirmware/releases/download/3.2RC1/Duet2_SDiap32_WiFiEth.bin and upload it to DWC befoe downgrading again.



  • i am blind. 😞 didn't even see it under the releases section.
    what's more worrying is I checked first...



  • Thanks, you're right ... this file is included in the RC1 release but it wasn't showing up in any searches (and I didn't just look for it in the RC1 tag).

    I've uploaded it and successfully downgraded.



  • could be david "warpspeed-11" crocker added it between our posts ... wouldn't surprise me at all, that guy puts lucky luke to shame on a regular basis..:P

    Edit: i wasn't trying to imply sloppyness, just faster than light fixing of just about anything


  • administrators

    @bearer said in Downgrading: Duet2_SDiap32_WiFiEth.bin not found:

    could be david "warpspeed-11" crocker added it between our posts ... wouldn't surprise me at all, that guy puts lucky luke to shame on a regular basis..:P

    No, I included it in the 3.2RC1 release files from the start, and mentioned in the upgrade notes.


Log in to reply